LFR-FSW - Feature #502

Valider le requirement SSS-CP-FS-610
19/09/2015 11:43 AM - Veronique bouzid

Status: Closed Start date: 19/09/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Je rappelle le requirement qui concerne la section Cache configuration

The RPW Flight Software shall explicitly configure the data and instruction caches at startup.

--> |la réponse de Paul

Ga peut étre vérifié en lisant les registres appropriés avec SoExplorer juste apres le démarrage de la carte puis aprés le démarrage

du logiciel.

Apres discussions avec Alexis , il manque une fonction dans socexporer pour connaitre I'etat du cache.

Alexis propose del'ajouter , voir projet Socexplorer #497.

History

#1 - 13/10/2015 08:16 AM - Veronique bouzid

- Status changed from New to In Progress

Alexis a intégré la fonction manquante pour connaitre I'état du cache.

J'ai compilé les plugins avec la lecture de I'état du cache. C'est la
version 0.6-4. Pour mettre a jour:

sudo dnf clean all
sudo dnf update socecplorer-plugins

#2 - 13/10/2015 10:08 AM - Veronique bouzid
- Category set to SRS

- Status changed from In Progress to Closed

Actuellement
SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481

Installation effectuée.

[validation@PC-FAUST9 ~]$ sudo dnf clean all

[sudo] password for validation:

Nettoyage des dépbts : fedora rpmfusion-free-updates rpmfusion-nonfree-updates
: rpmfusion-free updates Hephaistos rpmfusion-nonfree

Nettoyage complet

[validation@PC-FAUST9 ~]$

[validation@PC-FAUST9 ~]$ sudo dnf update socexplorer-plugins
Fedora 21 - x86_64 1.5MB/s| 39 MB 00:26

RPM Fusion for Fedora 21 - Free - Updates 1.1 MB/s | 433 kB  00:00
RPM Fusion for Fedora 21 - Nonfree - Updates 1.2 MB/s | 192kB  00:00

RPM Fusion for Fedora 21 - Free 783 kB/s | 508 kB 00:00
Fedora 21 - x86_64 - Updates 1.0 MB/s| 22 MB  00:22
Hephaistos repository 229 kB/s | 62kB  00:00

RPM Fusion for Fedora 21 - Nonfree 992 kB/s | 179 kB  00:00

Using metadata from Tue Oct 13 09:36:07 2015
Dépendances résolues.

Paquet Architecture Version Dépot Taille

Mise a jour:
socexplorer-plugins x86_64 0.6-4.fc21 Hephaistos 276 k
https://hephaistos.lpp.polytechnique.fr/redmine/issues/497

Résumé de la transaction
Mettre a jour 1 Package

Taille totale des téléchargements : 276 k
o}
Téléchargement des paquets :

socexplorer-plugins-0.6-4.fc21.x86_64.rpm 947 kB/s | 276 kB 00:00

Total 942 kB/s | 276 kB 00:00
Test de la transaction en cours

La vérification de la transaction a réussi.

Lancement de la transaction de test

Transaction de test réussie.

Exécution de la transaction

Mise a jour : socexplorer-plugins-0.6-4.fc21.x86_64 1/2
Nettoyage : socexplorer-plugins-0.6-3.fc21.x86_64 2/2
Vérifie : socexplorer-plugins-0.6-4.fc21.x86_64 1/2
Vérifie : socexplorer-plugins-0.6-3.fc21.x86_64 2/2

Mise a niveau:
socexplorer-plugins.x86_64 0.6-4.fc21

Terminé !

Ensuite je lance socexplorer

1- je charge SpwPligin

2- je charge dsu3plugin

3- je demande l'etat du cache,
print dsu3plugin0.cachelsEnable()
False

C'est normal le soft n'a pas été chargé.

La version de socexplorer n'a pas changé, seule celle de socexplorer-plugins a été modifiée.

LFR_FSW_PATH = /opt/LFR/LFR-FSW/3.0.0.10/fsw

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481

--> J ai egalement fait un test en lancant LFR (via script LFRControlPlugin_start.py) et cette fois j'obtiens bien I'activation du cache.

py > print dsu3plugin0.cachelsEnable()
True

Je peux donc écrire le test de validation.
